Package com.independentsoft.office.odf

# Class DocumentStatistic

java.lang.Object
com.independentsoft.office.odf.DocumentStatistic

public class DocumentStatistic extends Object
Represents statistics about a document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentStatistic()`
  Initializes a new instance of the DocumentStatistic class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DocumentStatistic`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `int`
  `getCellCount()`
  Gets the number of table cells that an OpenDocument producer has counted for a document.
  `int`
  `getCharacterCount()`
  Gets the number of characters that an OpenDocument producer has counted for a document.
  `int`
  `getDrawCount()`
  Gets the number of drawing-shapes that an OpenDocument producer has counted for a document.
  `int`
  `getFrameCount()`
  Gets the number of text-boxes that an OpenDocument producer has counted for a document.
  `int`
  `getImageCount()`
  Gets the number of images that an OpenDocument producer has counted for a document.
  `int`
  `getNonWhitespaceCharacterCount()`
  Gets the number of non-white space characters that an OpenDocument producer has counted for a document.
  `int`
  `getObjectCount()`
  Gets the number of embedded objects stored in OpenDocument format that the OpenDocument producer has counted for the document.
  `int`
  `getOleObjectCount()`
  Gets the number of embedded objects stored in a different format than OpenDocument that the OpenDocument producer has counted for the document.
  `int`
  `getPageCount()`
  Gets the number of pages that an OpenDocument producer has calculated for a document.
  `int`
  `getParagraphCount()`
  Gets the number of paragraphs that an OpenDocument producer has counted for a document.
  `int`
  `getRowCount()`
  Gets the number of lines contained in a document instance.
  `int`
  `getSentanceCount()`
  Gets the number of sentences that an OpenDocument producer has counted for a document.
  `int`
  `getSyllableCount()`
  Gets the number of syllables that an OpenDocument producer has counted for a document.
  `int`
  `getTableCount()`
  Gets the number of table object contained in a document instance.
  `int`
  `getWordCount()`
  Gets the number of words that an OpenDocument producer has counted for a document.
  `void`
  `setCellCount​(int cellCount)`
  Sets the number of table cells that an OpenDocument producer has counted for a document.
  `void`
  `setCharacterCount​(int characterCount)`
  Sets the number of characters that an OpenDocument producer has counted for a document.
  `void`
  `setDrawCount​(int drawCount)`
  Sets the number of drawing-shapes that an OpenDocument producer has counted for a document.
  `void`
  `setFrameCount​(int frameCount)`
  Sets the number of text-boxes that an OpenDocument producer has counted for a document.
  `void`
  `setImageCount​(int imageCount)`
  Sets the number of images that an OpenDocument producer has counted for a document.
  `void`
  `setNonWhitespaceCharacterCount​(int nonWhitespaceCharacterCount)`
  Sets the number of non-white space characters that an OpenDocument producer has counted for a document.
  `void`
  `setObjectCount​(int objectCount)`
  Sets the number of embedded objects stored in OpenDocument format that the OpenDocument producer has counted for the document.
  `void`
  `setOleObjectCount​(int oleObjectCount)`
  Sets the number of embedded objects stored in a different format than OpenDocument that the OpenDocument producer has counted for the document.
  `void`
  `setPageCount​(int pageCount)`
  Sets the number of pages that an OpenDocument producer has calculated for a document.
  `void`
  `setParagraphCount​(int paragraphCount)`
  Sets the number of paragraphs that an OpenDocument producer has counted for a document.
  `void`
  `setRowCount​(int rowCount)`
  Sets the number of lines contained in a document instance.
  `void`
  `setSentanceCount​(int sentanceCount)`
  Sets the number of sentences that an OpenDocument producer has counted for a document.
  `void`
  `setSyllableCount​(int syllableCount)`
  Sets the number of syllables that an OpenDocument producer has counted for a document.
  `void`
  `setTableCount​(int tableCount)`
  Sets the number of table object contained in a document instance.
  `void`
  `setWordCount​(int wordCount)`
  Sets the number of words that an OpenDocument producer has counted for a document.
  `String`
  `toString()`
  Converts the value of the current DocumentStatistic object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentStatistic

    public DocumentStatistic()
    Initializes a new instance of the DocumentStatistic class.

- ## Method Details

  - ### clone

    public DocumentStatistic clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DocumentStatistic object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getPageCount

    public int getPageCount()
    Gets the number of pages that an OpenDocument producer has calculated for a document.
    Returns:
      the page count

  - ### setPageCount

    public void setPageCount​(int pageCount)
    Sets the number of pages that an OpenDocument producer has calculated for a document.
    Parameters:
      `pageCount` - the new page count

  - ### getTableCount

    public int getTableCount()
    Gets the number of table object contained in a document instance.
    Returns:
      the table count

  - ### setTableCount

    public void setTableCount​(int tableCount)
    Sets the number of table object contained in a document instance.
    Parameters:
      `tableCount` - the new table count

  - ### getDrawCount

    public int getDrawCount()
    Gets the number of drawing-shapes that an OpenDocument producer has counted for a document.
    Returns:
      the draw count

  - ### setDrawCount

    public void setDrawCount​(int drawCount)
    Sets the number of drawing-shapes that an OpenDocument producer has counted for a document.
    Parameters:
      `drawCount` - the new draw count

  - ### getImageCount

    public int getImageCount()
    Gets the number of images that an OpenDocument producer has counted for a document.
    Returns:
      the image count

  - ### setImageCount

    public void setImageCount​(int imageCount)
    Sets the number of images that an OpenDocument producer has counted for a document.
    Parameters:
      `imageCount` - the new image count

  - ### getObjectCount

    public int getObjectCount()
    Gets the number of embedded objects stored in OpenDocument format that the OpenDocument producer has counted for the document.
    Returns:
      the object count

  - ### setObjectCount

    public void setObjectCount​(int objectCount)
    Sets the number of embedded objects stored in OpenDocument format that the OpenDocument producer has counted for the document.
    Parameters:
      `objectCount` - the new object count

  - ### getOleObjectCount

    public int getOleObjectCount()
    Gets the number of embedded objects stored in a different format than OpenDocument that the OpenDocument producer has counted for the document.
    Returns:
      the ole object count

  - ### setOleObjectCount

    public void setOleObjectCount​(int oleObjectCount)
    Sets the number of embedded objects stored in a different format than OpenDocument that the OpenDocument producer has counted for the document.
    Parameters:
      `oleObjectCount` - the new ole object count

  - ### getParagraphCount

    public int getParagraphCount()
    Gets the number of paragraphs that an OpenDocument producer has counted for a document.
    Returns:
      the paragraph count

  - ### setParagraphCount

    public void setParagraphCount​(int paragraphCount)
    Sets the number of paragraphs that an OpenDocument producer has counted for a document.
    Parameters:
      `paragraphCount` - the new paragraph count

  - ### getWordCount

    public int getWordCount()
    Gets the number of words that an OpenDocument producer has counted for a document.
    Returns:
      the word count

  - ### setWordCount

    public void setWordCount​(int wordCount)
    Sets the number of words that an OpenDocument producer has counted for a document.
    Parameters:
      `wordCount` - the new word count

  - ### getCharacterCount

    public int getCharacterCount()
    Gets the number of characters that an OpenDocument producer has counted for a document.
    Returns:
      the character count

  - ### setCharacterCount

    public void setCharacterCount​(int characterCount)
    Sets the number of characters that an OpenDocument producer has counted for a document.
    Parameters:
      `characterCount` - the new character count

  - ### getRowCount

    public int getRowCount()
    Gets the number of lines contained in a document instance.
    Returns:
      the row count

  - ### setRowCount

    public void setRowCount​(int rowCount)
    Sets the number of lines contained in a document instance.
    Parameters:
      `rowCount` - the new row count

  - ### getFrameCount

    public int getFrameCount()
    Gets the number of text-boxes that an OpenDocument producer has counted for a document.
    Returns:
      the frame count

  - ### setFrameCount

    public void setFrameCount​(int frameCount)
    Sets the number of text-boxes that an OpenDocument producer has counted for a document.
    Parameters:
      `frameCount` - the new frame count

  - ### getSentanceCount

    public int getSentanceCount()
    Gets the number of sentences that an OpenDocument producer has counted for a document.
    Returns:
      the sentance count

  - ### setSentanceCount

    public void setSentanceCount​(int sentanceCount)
    Sets the number of sentences that an OpenDocument producer has counted for a document.
    Parameters:
      `sentanceCount` - the new sentance count

  - ### getSyllableCount

    public int getSyllableCount()
    Gets the number of syllables that an OpenDocument producer has counted for a document.
    Returns:
      the syllable count

  - ### setSyllableCount

    public void setSyllableCount​(int syllableCount)
    Sets the number of syllables that an OpenDocument producer has counted for a document.
    Parameters:
      `syllableCount` - the new syllable count

  - ### getNonWhitespaceCharacterCount

    public int getNonWhitespaceCharacterCount()
    Gets the number of non-white space characters that an OpenDocument producer has counted for a document.
    Returns:
      the non whitespace character count

  - ### setNonWhitespaceCharacterCount

    public void setNonWhitespaceCharacterCount​(int nonWhitespaceCharacterCount)
    Sets the number of non-white space characters that an OpenDocument producer has counted for a document.
    Parameters:
      `nonWhitespaceCharacterCount` - the new non whitespace character count

  - ### getCellCount

    public int getCellCount()
    Gets the number of table cells that an OpenDocument producer has counted for a document.
    Returns:
      the cell count

  - ### setCellCount

    public void setCellCount​(int cellCount)
    Sets the number of table cells that an OpenDocument producer has counted for a document.
    Parameters:
      `cellCount` - the new cell count